package ru.crystals.pos.api.comm.table;

/**
 * Описывает строку таблицы в табличном сообщении на дисплее покупателя.
 * @since 0.0.50
 * @see ru.crystals.pos.spi.equipment.CustomerDisplayMessage
 */
public class TableRow {
    private String label;
    private String value;

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link TableRow}.
     * @param label текст в левой колонке строки.
     * @param value текст в правой колонке строки.
     */
    public TableRow(String label, String value) {
        this.label = label;
        this.value = value;
    }

    /**
     * Возвращает текст в левой колонке строки.
     * @return текст в левой колонке строки или null, если такого нет.
     */
    public String getLabel() {
        return label;
    }

    /**
     * Устанавливает текст в левой колонке строки.
     * @param label текст в левой колонке строки или null, если такого нет.
     */
    public void setLabel(String label) {
        this.label = label;
    }

    /**
     * Возвращает текст в правой колонке строки.
     * @return текст в правой колонке строки или null, если такого нет.
     */
    public String getValue() {
        return value;
    }

    /**
     * Устанавливает текст в правой колонке строки.
     * @param value текст в правой колонке строки или null, если такого нет.
     */
    public void setValue(String value) {
        this.value = value;
    }


    @Override
    public String toString() {
        return "TableRow{" +
                "label='" + label + '\'' +
                ", value='" + value + '\'' +
                '}';
    }
}
