package ru.crystals.pos.api.ext.loyal.dto;

/**
 * Слагаемые параметры текста - номер шрифта и атрибуты для печати на ФР Пирит.
 * Использовать через логическое объединение комбинации шрифта и его характеристик, например:
 * int font = SlipTextOptions.PIRIT_FONT_2 | SlipTextOptions.PIRIT_DOUBLE_HEIGHT; // 18
 * даст жирный Шрифт 13х48
 * @since 0.0.41
 */
public interface SlipTextOptions {
    /**
     * Шрифт 13х24, 44 символа в строке
     */
    int PIRIT_FONT_0 = 0;
    /**
     * Шрифт 10х20
     */
    int PIRIT_FONT_1 = 1;
    /**
     * Шрифт 13х24 жирный
     */
    int PIRIT_FONT_2 = 2;
    /**
     * Шрифт 10х20 жирный
     */
    int PIRIT_FONT_3 = 3;
    /**
     * Шрифт 8х14, 56 символов в строке
     */
    int PIRIT_FONT_4 = 4;
    /**
     * Шрифт 24х45
     */
    int PIRIT_FONT_5 = 5;
    /**
     * Шрифт 24х45 жирный
     */
    int PIRIT_FONT_6 = 6;
    /**
     * Печать двойной высоты текста
     */
    int PIRIT_DOUBLE_HEIGHT = 16;
    /**
     * Печать двойной ширины текста
     */
    int PIRIT_DOUBLE_WIDTH = 32;
}
