package ru.crystals.pos.api.plugin.card;

/**
 * Статус отклика на запрос выполнения "бонусной" (списания, отмены списания бонусов) операции по карте.
 */
public enum BonusOperationStatus {

    /**
     * Запрос обработан корректно: запрошенная операция выполнена
     */
    OK,

    /**
     * Возникла ошибка при выполнении операции, но повторная попытка может оказаться успешной.
     * <p>
     * Например, запрос не удалось выполнить из-за того, что сервер/процессинг в момент запроса был offline
     */
    TRY_AGAIN,

    /**
     * Возникла ошибка при выполнении операции. Повторная попытка тоже будет безуспешной; не стоит пытаться повторить операцию.
     * <p>
     * Например, если данная операция вообще не поддерживается процессингом или выполняется попытка списания бонусов с невалидной карты.
     */
    ERROR;

}
