package ru.crystals.pos.api.plugin.techprocess;

import java.util.HashMap;
import java.util.Map;

/**
 * Результат интерактивного взаимодействия с плагином тех. процесса.
 */
public class InterceptionResult {

    private Map<String, String> receiptExtendedAttributesMap;

    /**
     * Мапа расширенных атрибутов, которыми плагин лояльности может наградить чек.<br>
     * Заполняется плагином в случае, если он хочет добавить к чеку какие-то дополнительные параметры.
     * @return мапу расширенных атрибутов чека или пустую мапу, если таких нет.
     */
    public Map<String, String> getReceiptExtendedAttributesMap() {
        if(receiptExtendedAttributesMap == null) {
            receiptExtendedAttributesMap = new HashMap<>();
        }
        return receiptExtendedAttributesMap;
    }

    @Override
    public String toString() {
        return "InterceptionResult{" +
                ", receiptExtendedAttributesMap=" + receiptExtendedAttributesMap +
                '}';
    }

}
