package ru.crystals.pos.api.ui.listener;

/**
 * Слушатель события считывания карты с магнитной полосой.
 */
public interface MSRListener extends CancelListener {

    /**
     * Оповещает слушатель о событии "Считана карта с магнитной полосой".<br>
     * Всего может быть считано до четырех дорожек. Как правило, номер карты записывают на вторую дорожку карты.
     * @param track1 первая дорожка
     * @param track2 вторая дорожка
     * @param track3 третья дорожка
     * @param track4 четвертая дорожка
     */
    void eventMagneticStripeRead(String track1, String track2, String track3, String track4);
}
