package ru.crystals.pos.spi.plugin.excise.validation;

import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Интерфейс запроса проверки акцизной марки
 */
public interface ExciseValidationRequest {

    /**
     * Акцизная марка
     *
     * @return строковое представление акцизной марки
     */
    String getExcise();

    /**
     * Штрихкод товара
     *
     * @return строковое представление штрихкода товара
     */
    String getBarcode();

    /**
     * Текущий чек продажи/возврата, в который будет добавляться позиция товара
     *
     * @return чек - {@link Receipt}
     */
    Receipt getReceipt();

}
