package ru.crystals.pos.spi.plugin.goods;

import ru.crystals.pos.spi.receipt.Merchandise;
import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Интерфейс запроса на добавление товара в чек продажи
 */
public interface AddForSaleRequest {

    /**
     * Товар, который необходимо добавить в чек
     * @return товар - {@link Merchandise}
     */
    Merchandise getMerchandise();


    /**
     * Чек, в который будет добавлен товар.
     * @return {@link Receipt}
     */
    Receipt getReceipt();

    /**
     * Интерфейс для оповещения кассы о результатах добавления товара.
     * @return {@link AddForSaleCallback}
     */
    AddForSaleCallback getCallback();

}
