package ru.crystals.pos.spi.plugin.goods;

/**
 * Ошибка отмены добавления товара.<br>
 *
 * Возникает, если у пользователя (кассира) отсутствуют права на отмену добавления товара в чек.<br>
 *
 */
public class CancelDeniedException extends Exception {

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link CancelDeniedException}.
     */
    public CancelDeniedException() {
        super();
    }

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link CancelDeniedException}.
     * @param message текст сообщения об ошибке.
     */
    public CancelDeniedException(String message) {
        super(message);
    }

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link CancelDeniedException}.
     * @param message текст сообщения об ошибке.
     * @param cause внутреннее исключение.
     */
    public CancelDeniedException(String message, Throwable cause) {
        super(message, cause);
    }
}
